import {
  createSelector,
  createFeatureSelector,
} from '@ngrx/store';

import * as AuthStore from './auth';

export interface State {
  auth: AuthStore.State;
}

export const REDUCERS = {
  auth: AuthStore.reducer,
};

export const EFFECTS = [
];

export const selectState = createFeatureSelector<State>('accounts');

export const AuthSelector = AuthStore.getSelectors(createSelector(
  selectState,
  (state: State) => state.auth,
));
